Bug 454867 - Review Request: kcirbshooter - A small puzzle game
Review Request: kcirbshooter - A small puzzle game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 08:47 EDT by Stefan Posdzich
Modified: 2008-11-08 14:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-08 14:31:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nphilipp: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch which allows setting of OPTFLAGS for the Makefile (482 bytes, patch)
2008-10-27 13:54 EDT, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Stefan Posdzich 2008-07-10 08:47:25 EDT
Spec: http://cheekyboinc.spielen-unter-linux.de/brickshooter.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/brickshooter-0.04-1.fc9.src.rpm

Description:

brickshooter is a small puzzle game for linux, where you'll have
to clear the central area from different colored bricks. Three or
more same colored bricks that touch will vanish. You can shoot
bricks into the playing field from the fringes.
Comment 1 Nils Philippsen 2008-07-11 09:59:26 EDT
Bad:

MUSTFIX: name probably violates trademark, see http://www.brickshooter.com --
while at it, verify that the contained artwork is indeed made by the author or
properly licensed ("This game was written from scratch in 4 days", I don't know
if this just covers the code or artwork as well).

MUSTFIX: corrected grammar of description:

brickshooter is a small puzzle game for linux, where you have
to clear the central area from differently colored bricks. Three or
more adjacent bricks of the same color will vanish. You can shoot
bricks into the playing field from the fringes.

MUSTFIX: doesn't own all directories that it creates
(/usr/share/icons/hicolor/*/apps) -> Requires: hicolor-icon-theme

MUSTFIX: use $RPM_OPTFLAGS or %optflags as compiler flags (probably needs
changes in the Makefile)

Not so good:

SHOULDFIX: license text not in %doc due to not being in the source tarball --
please ask upstream to include the license, then include it as well.

Good:

- rpmlint checks return:

  1 packages and 0 specfiles checked; 0 errors, 0 warnings.


- package meets naming guidelines (except trademark issue above)
- package meets packaging guidelines
- license (GPLv2) OK
- spec file legible
- source matches upstream
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- package compiles on devel (x86_64)
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime

Additional notes:
- Perhaps "ArcadeGame" to the desktop/menu category?
Comment 2 Stefan Posdzich 2008-07-11 10:12:16 EDT
I have written an email to upstream because of the trademark issue.
Awaiting the response.
Comment 3 Rakesh Pandit 2008-09-03 12:08:25 EDT
Any update from upstream ?
Comment 4 Stefan Posdzich 2008-09-04 12:52:06 EDT
I have written more then one email to upstream.
No response yet.
I will write one more....
Comment 5 Robert Scheck 2008-09-06 10:31:01 EDT
I think, neither Nils nor me are absolutely familiar with the US-american 
trademark (see comment #1 and read the "probably"). I don't know how the
whole thing behaves for the US, but as far as I remember, in Germany only
(R) is a registered trademark and TM only marks as trademark but not with
the same permissions as (R), even lower. I maybe misunderstand the english
Wikipedia article, but I think, it tells the same and also I never trust
Wikipedia... ;-)

Anyway, I am not a lawyer, thus I'm adding Tom "spot" Callaway hereby. And
maybe somebody wants to block FE_LEGAL as well, I'm not allowed to set this.
Comment 6 Tom "spot" Callaway 2008-09-06 10:40:21 EDT
Given that this game is a clear copy of the original, this is an obvious case of trademark infringement. 

If you want to maintain this in Fedora, you're going to need to remove the trademark from all user visible locations (you don't need to change file names or function/variable names, for example) and rename the package.

Normally, I'd suggest that you work with upstream to make this change so you don't have to make such extensive modifications locally.

Blocking FE-Legal.
Comment 7 Tom "spot" Callaway 2008-10-09 15:55:20 EDT
Any word from upstream here? If not, you have the choice to either:

- Fork it for Fedora, removing the trademark from all user visible locations (you don't need to change file names or function/variable names, for example), make a new tarball with the new name, and maintain it in that fashion.

- Drop this package entirely and close out this ticket.
Comment 8 Stefan Posdzich 2008-10-10 06:31:01 EDT
Nothing from upstream.
I choose the first way.
The package will take some days, but i will do it soon.
Comment 9 Stefan Posdzich 2008-10-18 13:55:17 EDT
Fixed most of the problems and would like to become some feedback...

Spec: http://cheekyboinc.spielen-unter-linux.de/kcirbshooter.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/kcirbshooter-0.04-1.fc10.src.rpm
Comment 10 Nils Philippsen 2008-10-27 11:49:02 EDT
All this on top of my first review in comment #1.

Bad:
====

- MUSTFIX: Re-add information about the copyright terms and holder to the source file (luckily there's only one ;-), i.e. I found the following in the original source file and leaving it out may technically be a GPL violation:

...
  License: GPLv2

  paxed@alt.org

  20080502
...

Possibly just leave the existing top level comment and add yours(*) before that to be on the safe side.

(*) e.g. "kcirbshooter is a fork of the game found at http://... which was done to avoid confusion with the original Brickshooter(tm) game" -- Spot, what do you think?

- MUSTFIX: Don't distribute the compiled executable in the source tarball, it might use the pre-built binary otherwise.

- MUSTFIX: Use either $RPM_BUILD_ROOT or %buildroot consistently, not both.

- MUSTFIX: Use RPM optimization flags. I'll attach a patch which lets you set them this way:

make OPTFLAGS="%optflags" ${?_smp_mflags}"

- MUSTFIX: correct grammar of description:

"""
Kcirbshooter is a small puzzle game for linux, where you have
to clear the central area from differently colored bricks. Three or
more adjacent bricks of the same color will vanish. You can shoot
bricks into the playing field from the fringes.
"""

Good:
=====

- No potential for confusion with original Brickshooter game.
- Owns all directories it creates or depends on packages that contain them.
- Includes license as documentation
- Builds in mock.
Comment 11 Tom "spot" Callaway 2008-10-27 13:47:16 EDT
(In reply to comment #10)

> (*) e.g. "kcirbshooter is a fork of the game found at http://... which was done
> to avoid confusion with the original Brickshooter(tm) game" -- Spot, what do
> you think?

Sure, that should be within the realm of fair use.

~spot
Comment 12 Nils Philippsen 2008-10-27 13:54:32 EDT
Created attachment 321634 [details]
Patch which allows setting of OPTFLAGS for the Makefile
Comment 14 Nils Philippsen 2008-11-05 09:58:51 EST
Good:

- Re-added information about the copyright terms and holder to the
source file.
- No compiled executable found in the source tarball.
- Uses $RPM_BUILD_ROOT consistently.
- Uses RPM optimization flags
- Corrected grammar of description.

APPROVED. Go ahead and request CVS to be set up now.
Comment 15 Stefan Posdzich 2008-11-05 12:37:21 EST
New Package CVS Request
=======================
Package Name: kcirbshooter
Short Description: A small puzzle game
Owners: cheekyboinc
Branches: F-8 F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 16 Kevin Fenzi 2008-11-05 17:41:05 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.